package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum AdVideoImageStatusEnum {

    DEFAULT(0, "未审核"),
    VERIFY_SUCCESS(1, "审核通过"),
    VERIFY_FAIL(2, "审核不通过"),
    UPLOAD_SUCCESS(3,"上传成功"),
    UPLOAD_FAIL(4,"上传失败")
    ;


    final Integer status;

    final String desc;

    AdVideoImageStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static AdVideoImageStatusEnum getByStatus(Integer status) {
        for (AdVideoImageStatusEnum adStatusEnum : AdVideoImageStatusEnum.values()) {
            if (Objects.equals(adStatusEnum.getStatus(), status)) {
                return adStatusEnum;
            }
        }
        return null;
    }


}
