package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum SimilarityCodeEnum {

    FIRST(1, "极低"),
    SECOND(2, "较低"),
    THIRD(3, "中等"),
    FOURTH(4, "较高"),
    FIFTH(5, "极高");


    final Integer code;

    final String desc;

    SimilarityCodeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static SimilarityCodeEnum getByCode(Integer code) {
        for (SimilarityCodeEnum similarityCodeEnum : SimilarityCodeEnum.values()) {
            if (Objects.equals(similarityCodeEnum.getCode(), code)) {
                return similarityCodeEnum;
            }
        }
        return null;
    }

}
