package com.tzld.piaoquan.tencentad.job;

import com.tzld.piaoquan.tencentad.service.AdVideoService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AdVideoJobs {

    @Autowired
    private AdVideoService adVideoService;

    @XxlJob("RefreshMuseTaskStatusJob")
    public ReturnT<String> RefreshMuseTaskStatus(String param) {
        adVideoService.refreshMuseTaskStatus();
        return ReturnT.SUCCESS;
    }


}
